# Map services used in applications

| Application   | Data sources | Map viewer  | Configurable | Notes |
|---------------|--------------|-------------|--------------|-------|
| CKAN          | OSM ([Stamen](http://maps.stamen.com)) | Leaflet | No | [1] |
| CrisisCleanup | Google Maps  | Google Maps | No           |       |
| CTS           | OSM, [ArcGIS](http://server.arcgisonline.com/arcgis/rest/services) | Leaflet | No | |
| EcoGIS        | ?            | FreeGIS + OpenLayers 2 | Probably | [2] |
| Odoo          | Google Maps  | Google Maps | No           | [3]   |
| OpenMapKit    | OSM          | N/A         | Yes          | [4]   |
| Pan.do/ra     | Google Maps  | Google Maps + OxMap | No   |       |
| Sahana Eden   | OSM ([HOT](https://www.hotosm.org/)) | OpenLayers 2 | Yes, very | [5] |
| Ushahidi      | OSM ([Mapbox](https://www.mapbox.com/about/maps/), [HOT](https://www.hotosm.org/)) | Leaflet | No | |
| ---           |              |             |              |       |
| WebODM        | OSM          | Leaflet     |              |       |
| Crismapp      | OSM          | Leaflet     |              |       |
| ThinkHazard!  | OSM          | Mapbox      |              |       |
| Openforis     | Google Earth |             | No           |       |
| Tendenci      | Google Maps  | Google Maps | No           |       |
| GeoNode       | OSM          | ? OpenLayers 3 |           |       |


1. Used by CKAN extensions *reclineview*, *spatial* and *geoview*.
2. Untested as the EcoGIS source code is not fully open. Looks like the data sources are configurable, but the full documentation is only in italian.
3. Used by Odoo *Google Maps* module to display company/partner address on map.
4. Map is used by OMK and ODK Android clients. OMK Server only offers the API. See [area of interest depoyment](http://posm.io/docs/omk/walkthrough/) on POSM wiki.
5. Sahana Eden supports multitude of connectors and protocols to process map and feature data. ArcGIS REST, Bing maps, GeoJSON, GeoRSS, Google Maps, GPX, KML, MGRS, OSM, OWM, Shapefile, TMS, WFS, WMS and XYZ.
